AnnotatedMethodMap
Date: 2016-12-04

com.fasterxml.jackson.databind.introspect

## Class AnnotatedMethodMap

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedMethodMap

- All Implemented Interfaces:
    java.lang.Iterable<AnnotatedMethod>

      public final class AnnotatedMethodMap
      extends java.lang.Object
      implements java.lang.Iterable<AnnotatedMethod>

  Simple helper class used to keep track of collection of `AnnotatedMethod`s, accessible by lookup. Lookup is usually needed for augmenting and overriding annotations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.LinkedHashMap<MemberKey,AnnotatedMethod>` | `_methods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedMethodMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(AnnotatedMethod am)` Method called to add specified annotated method in the Map.
    `AnnotatedMethod` | `find(java.lang.reflect.Method m)`
    `AnnotatedMethod` | `find(java.lang.String name, java.lang.Class<?>[] paramTypes)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<AnnotatedMethod>` | `iterator()`
    `AnnotatedMethod` | `remove(AnnotatedMethod am)` Method called to remove specified method, assuming it exists in the Map
    `AnnotatedMethod` | `remove(java.lang.reflect.Method m)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _methods

          protected java.util.LinkedHashMap<MemberKey,AnnotatedMethod> _methods

  - ### Constructor Detail

    - #### AnnotatedMethodMap

          public AnnotatedMethodMap()

  - ### Method Detail

    - #### add

          public void add(AnnotatedMethod am)

      Method called to add specified annotated method in the Map.

    - #### remove

          public AnnotatedMethod remove(AnnotatedMethod am)

      Method called to remove specified method, assuming it exists in the Map

    - #### remove

          public AnnotatedMethod remove(java.lang.reflect.Method m)

    - #### isEmpty

          public boolean isEmpty()

    - #### size

          public int size()

    - #### find

          public AnnotatedMethod find(java.lang.String name,
                             java.lang.Class<?>[] paramTypes)

    - #### find

          public AnnotatedMethod find(java.lang.reflect.Method m)

    - #### iterator

          public java.util.Iterator<AnnotatedMethod> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<AnnotatedMethod>`